Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.compiler.wrapper.dista.C45
Class NumericAttribute

    java.lang.Object
      edu.udo.cs.miningmart.compiler.wrapper.dista.C45.Attribute
          edu.udo.cs.miningmart.compiler.wrapper.dista.C45.NumericAttribute

    public class NumericAttribute

extends Attribute

Version:
  $Id: NumericAttribute.java,v 1.5 2006/09/27 14:59:54 euler Exp $
Author:
  Alessandro Serra

Field Summary
`protected double` | `m_max_value`
`protected double` | `m_min_value`

Fields inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.C45.Attribute
`m_name, m_weight`

Constructor Summary
`NumericAttribute()`

Method Summary
`void` | `dumpOn(java.io.PrintWriter w)`
`double` | `getMaxValue()`
`double` | `getMinValue()`
`double` | `getRangeWide()`
`void` | `setMaxValue(double d)`
`void` | `setMinValue(double d)`

Methods inherited from class edu.udo.cs.miningmart.compiler.wrapper.dista.C45.Attribute
`getName, getWeight, setName, setWeight`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_min_value

    protected double m_min_value

### m_max_value

    protected double m_max_value

Constructor Detail

### NumericAttribute

    public NumericAttribute()

Method Detail

### setMaxValue

    public final void setMaxValue(double d)

### setMinValue

    public final void setMinValue(double d)

### getMaxValue

    public final double getMaxValue()

### getMinValue

    public final double getMinValue()

### getRangeWide

    public final double getRangeWide()

### dumpOn

    public void dumpOn(java.io.PrintWriter w)

  Overrides:
    `dumpOn` in class `Attribute`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005